Les projets un peu fou du logiciel libre, épisode 19 : la Bataille pour Wesnoth, le jeu de stratégie en tour par tour du monde libre.

En février 2016, je parlais du jeu de stratégie en temps réel, 0 AD, à l’époque en alpha 19.

Cependant, dans le domaine de la stratégie en tour par tour, il y a un projet du monde libre que l’on ne peut contourner, la Bataille pour Wesnoth connu aussi sous le nom de Wesnoth tout court.

C’est un projet de jeu de stratégie en tour par tour né en 2003. Franchement inspiré de gros succès comme l’excellent Heroes of Might and Magic II, on est plongé dans un jeu qui au fil des années a donné ses lettres de noblesses à la ludothèque libre.

Le joueur est plongé dans un monde typique de l’héroic-fantasy, avec ses incontournables elfes, dragons, nains, sorciers… Bref, le bestiaire habituel de ce genre de jeux 🙂

En l’espace de 15 ans, c’est un jeu qui est passé du doux rêve à un monstre côté caractéristiques : 17 campagnes solo et 55 cartes multijoueurs, plus de 200 unités, disponible en 30 langues, fonctionnant sur les principales plateformes. Bref, un jeu qu’il est difficile d’ignorer.

Dans les campagnes solo, en dehors du tutoriel, il y a l’option de jouer le rôle de Konrad, prince dont le trône a été usurpée par la reine Asheviere.

Ou encore de vivre l’histoire de deux chevaliers (qui sont frères) qui doivent libérer le royaume d’un mage maléfique. Il y a tellement de campagnes en solo qu’il y a de quoi s’occuper durant les longues soirées d’hiver 🙂

Mais le mieux est de vous montrer l’ensemble en action.

Oui, vous l’avez constaté, je suis une bille monstrueuse en terme de jeu de stratégie en tour par tour. Mais on ne peut que constater que c’est un jeu qui peut tenir la dragée haute à de nombreuses créations commerciales.

35 réflexions sur « Les projets un peu fou du logiciel libre, épisode 19 : la Bataille pour Wesnoth, le jeu de stratégie en tour par tour du monde libre. »

  1. Je le trouve vraiment pas mal meme si je suis une vraie merde dessus ou dans ce genre de jeux, dans les grands jeux il y a aussi vegastrike, Fred as tu déjà joué?

    Si oui, qu’en penses tu? Normalement si tout se passe bien et la je me fais un peu de promo, les debianeux de la version stable pourront aller sur mon OBS pour récupérer wesnoth 1.14, faut juste un peu attendre que le serveur soit bien synchro et ait fini le taff de paquetage.

    1. Connaissais pas non plus Vega Strike. Dommage que le développent semble à l’arrêt.
      Sinon dans les bons jeux, il y a aussi 0AD, Endless Sky, SuperTuxKart, Xonotic.

  2. Argh, je trouve que c’est dommage que la traduction de Wesnoth dans sa version 1.14 soit de moins bonne qualité que la 1.12. Par exemple avec la 1.12 j’ai pas de franglais dans le tuto, chose que j’ai beaucoup dans la 1.14. Donc je vais faire le tuto dans sa version 1.12 et puis le reste dans la 1.14 🙂 car bizarrement je peux avoir les deux cote a cote sur une debian.

      1. quand je tape :
        dnf install VirtualBox
        et en retour j’ai sa :
        Dernière vérification de l’expiration des métadonnées effectuée il y a 1:10:40 le lun. 14 mai 2018 16:14:04 CEST.
        Aucune correspondance pour l’argument : VirtualBox
        Erreur : Impossible de trouver une correspondance

          1. j’ai mis en minuscule sudo dnf install virtualbox
            et j’ai sa :
            Dernière vérification de l’expiration des métadonnées effectuée il y a 2:03:44 le lun. 14 mai 2018 16:14:04 CEST.
            Aucune correspondance pour l’argument : virtualbox
            Erreur : Impossible de trouver une correspondance

  3. j’ai taper
    sudo dnf install VirtualBox-5.2
    et j’ai sa :
    Dernière vérification de l’expiration des métadonnées effectuée il y a 2:44:32 le lun. 14 mai 2018 16:14:04 CEST.
    Aucune correspondance pour l’argument : VirtualBox-5.2
    Erreur : Impossible de trouver une correspondance

    1. Bon, j’ai trouvé la réponse.

      Edit : modification au 15 mai, suite à une erreur de ma part. Ne jamais faire deux choses en même temps, spécialement en dépannage 🙁

      1) Il faut rajouter le fichier fedora.repo virtualbox.repo disponible sur cette page dans /etc/yum.repos.d/ -> https://download.virtualbox.org/virtualbox/rpm/fedora/virtualbox.repo
      2) Il faut ensuite modifier le fichier – les paquets pour Fedora 28 ne sont pas encore disponible – en remplaçant les valeurs $releasever par 27
      3) sudo dnf update
      4) sudo dnf install VirtualBox-5.2

  4. j’ai pris le fichier dans /etc/yum.repos.d/
    j’ai modifier le fichier et changer $releasever en $releasever 27
    ya n’a 3 j’ai fais sur les 3
    ensuite j’ai taper
    sudo dnf update
    puis
    sudo dnf install VirtualBox-5.2
    et j’ai eu sa
    Dernière vérification de l’expiration des métadonnées effectuée il y a 0:12:32 le lun. 14 mai 2018 21:18:53 CEST.
    Aucune correspondance pour l’argument : VirtualBox-5.2
    Erreur : Impossible de trouver une correspondance

    a mois que je me suis tromper dans le fichier

      1. j’ai remplacer $releasever par $27
        je les mis dans /etc/yum.repos.d/
        j’ai taper sudo dnf update
        ensuite sudo dnf install VirtualBox-5.2
        et j’ai eu :
        Dernière vérification de l’expiration des métadonnées effectuée il y a 0:00:36 le mar. 15 mai 2018 08:32:08 CEST.
        Aucune correspondance pour l’argument : VirtualBox-5.2
        Erreur : Impossible de trouver une correspondance

          1. dans le fichier j’ai mis

            1 [fedora]
            name=Fedora 27 – $basearch

            2 [fedora-debuginfo]
            name=Fedora 27 – $basearch – Debug

            3 [fedora-source]
            name=Fedora 27 – Source

            j’ai taper :
            sudo dnf update

            puis

            sudo dnf install VirtualBox-5.2

            j’ai eu :
            Dernière vérification de l’expiration des métadonnées effectuée il y a 1:14:11 le mar. 15 mai 2018 08:32:08 CEST.
            Aucune correspondance pour l’argument : VirtualBox-5.2
            Erreur : Impossible de trouver une correspondance

  5. voici le fichier entier

    [fedora]
    name=Fedora 27 – $basearch
    failovermethod=priority
    #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
    metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
    enabled=1
    metadata_expire=7d
    repo_gpgcheck=0
    type=rpm
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
    skip_if_unavailable=False

    [fedora-debuginfo]
    name=Fedora 27 – $basearch – Debug
    failovermethod=priority
    #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/tree/
    metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
    enabled=0
    metadata_expire=7d
    repo_gpgcheck=0
    type=rpm
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
    skip_if_unavailable=False

    [fedora-source]
    name=Fedora 27 – Source
    failovermethod=priority
    #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/source/tree/
    metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-source-$releasever&arch=$basearch
    enabled=0
    metadata_expire=7d
    repo_gpgcheck=0
    type=rpm
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
    skip_if_unavailable=False

    1. Je me suis mal exprimé, apparemment.

      Je reprends les informations du site : https://www.virtualbox.org/wiki/Linux_Downloads

      C’est le fichier https://download.virtualbox.org/virtualbox/rpm/fedora/virtualbox.repo qu’il faut modifier.

      Et non le fedora.repo qu’il faut rétablir dans sa configuration d’origine. J’ai merdé. Mea culpa.

      Et pour le fichier fedora.repo d’origine :

      [fedora]
      name=Fedora $releasever – $basearch
      failovermethod=priority
      #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
      metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
      enabled=1
      metadata_expire=7d
      repo_gpgcheck=0
      type=rpm
      gpgcheck=1
      gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
      skip_if_unavailable=False

      [fedora-debuginfo]
      name=Fedora $releasever – $basearch – Debug
      failovermethod=priority
      #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/tree/
      metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
      enabled=0
      metadata_expire=7d
      repo_gpgcheck=0
      type=rpm
      gpgcheck=1
      gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
      skip_if_unavailable=False

      [fedora-source]
      name=Fedora $releasever – Source
      failovermethod=priority
      #baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/source/tree/
      metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-source-$releasever&arch=$basearch
      enabled=0
      metadata_expire=7d
      repo_gpgcheck=0
      type=rpm
      gpgcheck=1
      gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
      skip_if_unavailable=False

        1. 1) Dans /etc/yum/repos.d/
          2) Il faut garder le nom d’origine, virtualbox.repo
          3) et c’est ici qu’il faut remplacer $releasever par 27 en attendant qu’Oracle propose une version adaptée pour VirtualBox.

          Désolé pour le mauvais message d’hier 🙁

          1. j’ai modifier le fichier virtualbox.repo en :

            [virtualbox]
            name=Fedora 27 – $basearch – VirtualBox
            baseurl=http://download.virtualbox.org/virtualbox/rpm/fedora/$releasever/$basearch
            enabled=1
            gpgcheck=1
            repo_gpgcheck=1
            gpgkey=https://www.virtualbox.org/download/oracle_vbox.asc

            je les mis dans /etc/yum.repos.d/

            j’ai taper sudo dnf update
            j’ai eu sa :
            Échec de la synchronisation du cache pour le dépôt « virtualbox », désactivation.
            Dernière vérification de l’expiration des métadonnées effectuée il y a 2:41:55 le mar. 15 mai 2018 08:32:08 CEST.
            Dépendances résolues.
            Rien à faire.
            Terminé !

            ensuite j’ai taper sudo dnf install VirtualBox-5.2
            et j’ai eu sa :
            Échec de la synchronisation du cache pour le dépôt « virtualbox », désactivation.
            Dernière vérification de l’expiration des métadonnées effectuée il y a 2:42:25 le mar. 15 mai 2018 08:32:08 CEST.
            Aucune correspondance pour l’argument : VirtualBox-5.2
            Erreur : Impossible de trouver une correspondance

Les commentaires sont fermés.